Storyden
Auth

Phone Request Code

Start the authentication flow with a phone number. The handler will send a one-time code to the provided phone number which must then be sent to the other phone endpoint to verify the number and validate the account.

POST
/auth/phone

Start the authentication flow with a phone number. The handler will send a one-time code to the provided phone number which must then be sent to the other phone endpoint to verify the number and validate the account.

Authorization

cookiestoryden-session<token>

Query Parameters

invitation_id?string

Unique invitation ID.

Formatxid

Request Body

application/json
  1. body

The phone number request payload.

identifier*string

The desired username to link to the phone number.

phone_number*string

The phone number to receive the one-time code on.

Response Body

OK

application/json
  1. response
id*string
Example Request
curl -X POST 'https://example.com/api/auth/phone' \  -H 'Content-Type: application/json' \  -d '{  "identifier": "string",  "phone_number": "string"}'
Example Response
{  "id": "string"}